version: '3.8'

services:
  app:
    image: 'docker-spring-boot-postgres:latest'
    build:
      context: .
    container_name: app
    depends_on:
      - db
    environment:
      - POSTGRES_USER=compose-postgres
      - POSTGRES_PASSWORD=password
      - SPRING_DATASOURCE_URL=jdbc:postgresql://db:5432/graphql-todo
      - SPRING_DATASOURCE_USERNAME=compose-postgres
      - SPRING_DATASOURCE_PASSWORD=password
      - SPRING_JPA_HIBERNATE_DDL_AUTO=update
      - SPRING_GRAPHQL_GRAPHIQL_ENABLED=true
    ports:
      - "6868:8080"

  db:
    image: postgres
    container_name: db
    environment:
      - POSTGRES_USER=compose-postgres
      - POSTGRES_PASSWORD=password
      - POSTGRES_DB=graphql-todo
